CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
SPTImage Class Reference

## Public Member Functions
| SPTImage ($ImageIdOrFileNameOrImageObj, $MaxWidth=NULL, $MaxHeight=NULL, $MaxPreviewWidth=NULL, $MaxPreviewHeight=NULL, $MaxThumbnailWidth=NULL, $MaxThumbnailHeight=NULL)
| Id ()
| Url ()
| PreviewUrl ()
| ThumbnailUrl ()
| Format ()
| Height ()
| Width ()
| PreviewHeight ()
| PreviewWidth ()
| ThumbnailHeight ()
| ThumbnailWidth ()
| ImageStorageDirectory ()
| PreviewStorageDirectory ()
| ThumbnailStorageDirectory ()
| GetLink ()
| AltText ($NewValue=NULL)
| Delete ()
| Status ()
| Resize ($MaxWidth, $MaxHeight, $MaxPreviewWidth, $MaxPreviewHeight, $MaxThumbnailWidth, $MaxThumbnailHeight)
| CreateNewImage ($FileName, $MaxWidth, $MaxHeight, $MaxPreviewWidth, $MaxPreviewHeight, $MaxThumbnailWidth, $MaxThumbnailHeight)
| LoadImageInfo ($ImageId)
| CreateCopyOfImage ($SrcImage)
| SetFileNames ()
| GenerateNewImageId ()
| SaveImageInfo ()

## Static Public Member Functions
static | CheckDirectories ()

## Public Attributes
const | IMAGE_PATH = "ImageStorage/"
| base path where images are stored
const | PREVIEW_PATH = "ImageStorage/Previews/"
| path where preview images are stored
const | THUMBNAIL_PATH = "ImageStorage/Thumbnails/"
| path where thumbnail images are stored
| $Id
| $FileName
| $PreviewFileName
| $ThumbnailFileName
| $Format
| $AltText
| $Url
| $PreviewUrl
| $ThumbnailUrl
| $Height
| $Width
| $PreviewHeight
| $PreviewWidth
| $ThumbnailHeight
| $ThumbnailWidth
| $DB
| $ErrorStatus

## Detailed Description

Definition at line 34 of file SPTImage.php.

## Member Function Documentation

SPTImage::AltText | ( |  | $NewValue = `NULL` | ) |

Definition at line 105 of file SPTImage.php.

References $AltText, and Id().

Referenced by CreateCopyOfImage(), and LoadImageInfo().

Here is the caller graph for this function:

static SPTImage::CheckDirectories | ( |  | ) |
| static

Definition at line 147 of file SPTImage.php.

SPTImage::CreateCopyOfImage | ( |  | $SrcImage | ) |

Definition at line 453 of file SPTImage.php.

References $FileName, $PreviewFileName, $ThumbnailFileName, AI_OKAY, AltText(), Format(), GenerateNewImageId(), Height(), Id(), PreviewHeight(), PreviewWidth(), SaveImageInfo(), SetFileNames(), Image\Status(), ThumbnailHeight(), ThumbnailWidth(), and Width().

Referenced by SPTImage().

Here is the caller graph for this function:

SPTImage::CreateNewImage | ( |  | $FileName,
|  |  | $MaxWidth,
|  |  | $MaxHeight,
|  |  | $MaxPreviewWidth,
|  |  | $MaxPreviewHeight,
|  |  | $MaxThumbnailWidth,
|  |  | $MaxThumbnailHeight
| ) |  |

Definition at line 304 of file SPTImage.php.

References $FileName, AI_FILEUNREADABLE, AI_OKAY, Format(), GenerateNewImageId(), Height(), Id(), IMGTYPE_JPEG, Image\MissingExternalExecutables(), PreviewHeight(), PreviewWidth(), SaveImageInfo(), SetFileNames(), ThumbnailHeight(), ThumbnailWidth(), and Width().

Referenced by SPTImage().

Here is the caller graph for this function:

SPTImage::Delete | ( |  | ) |

Definition at line 124 of file SPTImage.php.

References Id().

SPTImage::Format | ( |  | ) |

Definition at line 92 of file SPTImage.php.

References $Format.

Referenced by CreateCopyOfImage(), CreateNewImage(), LoadImageInfo(), SaveImageInfo(), and SetFileNames().

Here is the caller graph for this function:

SPTImage::GenerateNewImageId | ( |  | ) |

Definition at line 510 of file SPTImage.php.

Referenced by CreateCopyOfImage(), and CreateNewImage().

Here is the caller graph for this function:

SPTImage::GetLink | ( |  | ) |

Definition at line 102 of file SPTImage.php.

References $FileName.

SPTImage::Height | ( |  | ) |

Definition at line 93 of file SPTImage.php.

References $Height.

Referenced by CreateCopyOfImage(), CreateNewImage(), LoadImageInfo(), and Resize().

Here is the caller graph for this function:

SPTImage::Id | ( |  | ) |

Definition at line 88 of file SPTImage.php.

References $Id.

Referenced by AltText(), CreateCopyOfImage(), CreateNewImage(), Delete(), LoadImageInfo(), SaveImageInfo(), and SetFileNames().

Here is the caller graph for this function:

SPTImage::ImageStorageDirectory | ( |  | ) |

Definition at line 99 of file SPTImage.php.

SPTImage::LoadImageInfo | ( |  | $ImageId | ) |

Definition at line 422 of file SPTImage.php.

References AI_INTERNALERROR, AltText(), Format(), Height(), Id(), PreviewHeight(), PreviewWidth(), SetFileNames(), ThumbnailHeight(), ThumbnailWidth(), and Width().

Referenced by SPTImage().

Here is the caller graph for this function:

SPTImage::PreviewHeight | ( |  | ) |

Definition at line 95 of file SPTImage.php.

References $PreviewHeight.

Referenced by CreateCopyOfImage(), CreateNewImage(), LoadImageInfo(), and Resize().

Here is the caller graph for this function:

SPTImage::PreviewStorageDirectory | ( |  | ) |

Definition at line 100 of file SPTImage.php.

SPTImage::PreviewUrl | ( |  | ) |

Definition at line 90 of file SPTImage.php.

References $PreviewFileName.

SPTImage::PreviewWidth | ( |  | ) |

Definition at line 96 of file SPTImage.php.

References $PreviewWidth.

Referenced by CreateCopyOfImage(), CreateNewImage(), LoadImageInfo(), and Resize().

Here is the caller graph for this function:

SPTImage::Resize | ( |  | $MaxWidth,
|  |  | $MaxHeight,
|  |  | $MaxPreviewWidth,
|  |  | $MaxPreviewHeight,
|  |  | $MaxThumbnailWidth,
|  |  | $MaxThumbnailHeight
| ) |  |

Definition at line 224 of file SPTImage.php.

References Height(), IMGTYPE_JPEG, PreviewHeight(), PreviewWidth(), SaveImageInfo(), ThumbnailHeight(), ThumbnailWidth(), and Width().

SPTImage::SaveImageInfo | ( |  | ) |

Definition at line 522 of file SPTImage.php.

References $Id, Format(), Id(), and ThumbnailHeight().

Referenced by CreateCopyOfImage(), CreateNewImage(), and Resize().

Here is the caller graph for this function:

SPTImage::SetFileNames | ( |  | ) |

Definition at line 490 of file SPTImage.php.

References Image\Extension(), Format(), and Id().

Referenced by CreateCopyOfImage(), CreateNewImage(), and LoadImageInfo().

Here is the caller graph for this function:

SPTImage::SPTImage | ( |  | $ImageIdOrFileNameOrImageObj,
|  |  | $MaxWidth = `NULL`,
|  |  | $MaxHeight = `NULL`,
|  |  | $MaxPreviewWidth = `NULL`,
|  |  | $MaxPreviewHeight = `NULL`,
|  |  | $MaxThumbnailWidth = `NULL`,
|  |  | $MaxThumbnailHeight = `NULL`
| ) |  |

Definition at line 46 of file SPTImage.php.

References CreateCopyOfImage(), CreateNewImage(), and LoadImageInfo().

SPTImage::Status | ( |  | ) |

Definition at line 140 of file SPTImage.php.

References $ErrorStatus.

SPTImage::ThumbnailHeight | ( |  | ) |

Definition at line 97 of file SPTImage.php.

References $ThumbnailHeight.

Referenced by CreateCopyOfImage(), CreateNewImage(), LoadImageInfo(), Resize(), and SaveImageInfo().

Here is the caller graph for this function:

SPTImage::ThumbnailStorageDirectory | ( |  | ) |

Definition at line 101 of file SPTImage.php.

SPTImage::ThumbnailUrl | ( |  | ) |

Definition at line 91 of file SPTImage.php.

References $ThumbnailFileName.

SPTImage::ThumbnailWidth | ( |  | ) |

Definition at line 98 of file SPTImage.php.

References $ThumbnailWidth.

Referenced by CreateCopyOfImage(), CreateNewImage(), LoadImageInfo(), and Resize().

Here is the caller graph for this function:

SPTImage::Url | ( |  | ) |

Definition at line 89 of file SPTImage.php.

References $FileName.

SPTImage::Width | ( |  | ) |

Definition at line 94 of file SPTImage.php.

References $Width.

Referenced by CreateCopyOfImage(), CreateNewImage(), LoadImageInfo(), and Resize().

Here is the caller graph for this function:

## Member Data Documentation

SPTImage::$AltText

Definition at line 291 of file SPTImage.php.

Referenced by AltText().

SPTImage::$DB

Definition at line 301 of file SPTImage.php.

SPTImage::$ErrorStatus

Definition at line 302 of file SPTImage.php.

Referenced by Status().

SPTImage::$FileName

Definition at line 287 of file SPTImage.php.

Referenced by CreateCopyOfImage(), CreateNewImage(), GetLink(), and Url().

SPTImage::$Format

Definition at line 290 of file SPTImage.php.

Referenced by Format().

SPTImage::$Height

Definition at line 295 of file SPTImage.php.

Referenced by Height().

SPTImage::$Id

Definition at line 286 of file SPTImage.php.

Referenced by Id(), and SaveImageInfo().

SPTImage::$PreviewFileName

Definition at line 288 of file SPTImage.php.

Referenced by CreateCopyOfImage(), and PreviewUrl().

SPTImage::$PreviewHeight

Definition at line 297 of file SPTImage.php.

Referenced by PreviewHeight().

SPTImage::$PreviewUrl

Definition at line 293 of file SPTImage.php.

SPTImage::$PreviewWidth

Definition at line 298 of file SPTImage.php.

Referenced by PreviewWidth().

SPTImage::$ThumbnailFileName

Definition at line 289 of file SPTImage.php.

Referenced by CreateCopyOfImage(), and ThumbnailUrl().

SPTImage::$ThumbnailHeight

Definition at line 299 of file SPTImage.php.

Referenced by ThumbnailHeight().

SPTImage::$ThumbnailUrl

Definition at line 294 of file SPTImage.php.

SPTImage::$ThumbnailWidth

Definition at line 300 of file SPTImage.php.

Referenced by ThumbnailWidth().

SPTImage::$Url

Definition at line 292 of file SPTImage.php.

SPTImage::$Width

Definition at line 296 of file SPTImage.php.

Referenced by Width().

const SPTImage::IMAGE_PATH = "ImageStorage/"

base path where images are stored

Definition at line 39 of file SPTImage.php.

const SPTImage::PREVIEW_PATH = "ImageStorage/Previews/"

path where preview images are stored

Definition at line 41 of file SPTImage.php.

const SPTImage::THUMBNAIL_PATH = "ImageStorage/Thumbnails/"

path where thumbnail images are stored

Definition at line 43 of file SPTImage.php.

The documentation for this class was generated from the following file:

- objects/SPTImage.php